package label

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label/update label UpdateLabel
//
// Update label information | 更新Label
//
// Update label information | 更新Label
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: LabelInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateLabelHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.LabelInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label.NewUpdateLabelLogic(r.Context(), svcCtx)
		resp, err := l.UpdateLabel(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
